Subject: 27.0.50; read-file-name: Scrambled INITIAL

From: Michael Heerdegen <[email-masked]>
Date: Wed, 23 Oct 2019 11:23:47 +0200

Hello,

in emacs -Q (with default-directory -> ~/)

  (read-file-name-default "File: " nil nil nil "~/.bash_history" nil)

prompts with default minibuffer contents "/:~/~/.bash_history".  No part
of that is shadowed (to indicate which part is meaningful).  Without
fully understanding how the initial contents are calculated, it doesn't
seem very useful with the doubled ~/.  Why can't INITIAL be used
literally?

TIA,

Michael.

In GNU Emacs 27.0.50 (build 27, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
 of 2019-10-23 built on drachen
Repository revision: 39ba44f18445c7759de5ac91ce25e53123c2abeb
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux bullseye/sid